# Method: projects.locations.corpora.assets.removeIndex

- [HTTP request](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.corpora.assets/removeIndex#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.corpora.assets/removeIndex#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.corpora.assets/removeIndex#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.corpora.assets/removeIndex#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.corpora.assets/removeIndex#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.corpora.assets/removeIndex#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.corpora.assets/removeIndex#body.aspect_1)

Remove one asset's index data for search. Supported corpus type: Corpus.Type.VIDEO_ON_DEMAND

### HTTP request

`POST https://visionai.googleapis.com/v1alpha1/{name=projects/*/locations/*/corpora/*/assets/*}:removeIndex`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the asset to index. Format: `projects/{project_number}/locations/{locationId}/corpora/{corpus_id}/assets/{assetId}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "index": string } ``` |

| Fields ||
|---|---|
| `index` | `string` Optional. The name of the index. Format: `projects/{project_number}/locations/{location}/corpora/{corpus}/indexes/{index}` |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vision-ai/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `index` resource:

- `visionai.indexes.update`

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `visionai.assets.removeIndex`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).